import java.io.*;
import javax.swing.*;

class ref_CS_test
{
public static void main(String arg[])
{ref_CS g=new ref_CS("R123");
	while(true)
	{
    double t =Double.parseDouble(JOptionPane.showInputDialog(" t (derece C) : "));   
	String s="vg("+t+") = "+g.vg(t)+"\n";
	s+="rol("+t+") = "+g.rol(t)+"\n";
	s+="Ps = "+g.Ps(t)+" kPa \n";
	s+="hfg="+g.hfg(t)+"KJ/kg\n";
	s+="hfg1="+g.hfg1(t)+"KJ/kg\n";
	s+="hfg_data="+g.rd.h_lg(t)+"KJ/kg\n";
	
    JOptionPane.showMessageDialog(null,s,"deneme", JOptionPane.PLAIN_MESSAGE);
    }
}
}